Bug 1309096 - [abrt] subscription-manager: zipfile.py:909:getinfo:KeyError: "There is no item named 'consumer_export.zip' in the archive"
[abrt] subscription-manager: zipfile.py:909:getinfo:KeyError: "There is no it...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: subscription-manager (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: candlepin-bugs
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3c6fc0d62e89888c219d771cb63...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 15:11 EST by Thom Carlin
Modified: 2016-02-22 11:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 11:40:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.45 KB, text/plain)
2016-02-16 15:11 EST, Thom Carlin
no flags Details
File: environ (3.88 KB, text/plain)
2016-02-16 15:11 EST, Thom Carlin
no flags Details

  None (edit)
Description Thom Carlin 2016-02-16 15:11:20 EST
Version-Release number of selected component:
subscription-manager-1.16.4-1.fc23

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python -S /usr/bin/rct cat-manifest consumer_export.zip
dso_list:       python-libs-2.7.10-8.fc23.x86_64
executable:     /usr/bin/rct
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
zipfile.py:909:getinfo:KeyError: "There is no item named 'consumer_export.zip' in the archive"

Traceback (most recent call last):
  File "/usr/bin/rct", line 49, in <module>
    sys.exit(abs(main() or 0))
  File "/usr/bin/rct", line 44, in main
    return RctCLI().main()
  File "/usr/share/rhsm/subscription_manager/cli.py", line 160, in main
    return cmd.main()
  File "/usr/share/rhsm/rct/commands.py", line 39, in main
    return_code = self._do_command()
  File "/usr/share/rhsm/rct/manifest_commands.py", line 280, in _do_command
    self._print_products(temp)
  File "/usr/share/rhsm/rct/manifest_commands.py", line 219, in _print_products
    entitlements = zip_archive._get_entitlements()
  File "/usr/share/rhsm/rct/manifest_commands.py", line 89, in _get_entitlements
    in_zip = self._get_inner_zip()
  File "/usr/share/rhsm/rct/manifest_commands.py", line 69, in _get_inner_zip
    output = StringIO(self.read(RCTManifestCommand.INNER_FILE))
  File "/usr/lib64/python2.7/zipfile.py", line 935, in read
    return self.open(name, "r", pwd).read()
  File "/usr/lib64/python2.7/zipfile.py", line 961, in open
    zinfo = self.getinfo(name)
  File "/usr/lib64/python2.7/zipfile.py", line 909, in getinfo
    'There is no item named %r in the archive' % name)
KeyError: "There is no item named 'consumer_export.zip' in the archive"

Local variables in innermost frame:
info: None
self: <rct.manifest_commands.ZipExtractAll object at 0x7f339ce65150>
name: 'consumer_export.zip'
Comment 1 Thom Carlin 2016-02-16 15:11:25 EST
Created attachment 1127717 [details]
File: backtrace
Comment 2 Thom Carlin 2016-02-16 15:11:27 EST
Created attachment 1127718 [details]
File: environ
Comment 3 Barnaby Court 2016-02-18 16:01:10 EST
Can we get a copy of the offending manifest to investigate?
Comment 4 Thom Carlin 2016-02-18 16:16:07 EST
Unfortunately, I had cleared out my queue from the past year and don't have the manifest anymore.  If it reoccurs, certainly.
Comment 5 Barnaby Court 2016-02-22 11:40:00 EST
This appears to be a malformed manifest however we are unable to duplicate the problem without having the manifest that demonstrates the problem. If this reoccurs please reopen and attach the manifest. Thanks

Note You need to log in before you can comment on or make changes to this bug.